Subject: [mpls] IPR Poll on draft-akiya-mpls-lsp-ping-lag-multipath

From: "George Swallow (swallow)" <[email-masked]>
Date: Mon, 8 Dec 2014 21:44:29 +0000

Loa -

Cisco has IPR.  See below.

George

On 12/8/14 3:18 PM, "Rachel Albright -X (ralbrigh - Independent Contractor
at Cisco)" <[email-masked]> wrote:

>Cisco is the owner of US Patent No. 7,782,790 relating to the subject
>matter of "Label Switched Path (LSP) Ping/Trace Multipath Support for
>Link Aggregation Group (LAG) Interfaces"
><draft-akiya-mpls-lsp-ping-lag-multipath-04>.
> 
>If technology in this document is included in a standard adopted by IETF
>and any claims of any Cisco patents are necessary for practicing the
>standard, any party will have the right to use any such patent claims
>under reasonable, non-discriminatory terms, with reciprocity, to
>implement and fully comply with the standard.
> 
>The reasonable non-discriminatory terms are:
> 
>If this standard is adopted, Cisco will not assert any patents owned or
>controlled by Cisco against any party for making, using, selling,
>importing or offering for sale a product that implements the standard,
>provided, however that Cisco retains the right to assert its patents
>(including the right to claim past royalties) against any party that
>asserts a patent it owns or controls (either directly or indirectly)
>against Cisco or any of Cisco's affiliates or successors in title or
>against any products of Cisco or any products of any of Cisco's
>affiliates either alone or in combination with other products; and Cisco
>retains the right to assert its patents against any product or portion
>thereof that is not necessary for compliance with the standard.
> 
>Royalty-bearing licenses will be available to anyone who prefers that
>option.
>
>For information contact:
> 
>Dan Lang
>Vice President and Deputy General Counsel
>Cisco Systems, Inc.
>+1 408-526-6672
>[email-masked]
>

---

From: "Nobo Akiya (nobo)" <[email-masked]>
Date: Mon, 8 Dec 2014 22:23:58 +0000

Hi Loa

One IPR pointed by George below is the only IPR, that I'm aware of, that is applicable to draft-akiya-mpls-lsp-ping-lag-multipath document.

Thanks!

-Nobo

> -----Original Message-----
> From: mpls [mailto:[email-masked]] On Behalf Of George Swallow
> (swallow)
> Sent: Monday, December 08, 2014 4:44 PM
> Cc: [email-masked]
> Subject: [mpls] IPR Poll on draft-akiya-mpls-lsp-ping-lag-multipath
> 
> Loa -
> 
> >If technology in this document is included in a standard adopted by
> >IETF and any claims of any Cisco patents are necessary for practicing
> >the standard, any party will have the right to use any such patent
> >claims under reasonable, non-discriminatory terms, with reciprocity, to
> >affiliates either alone or in combination with other products; and
> >Cisco retains the right to assert its patents against any product or
> >portion thereof that is not necessary for compliance with the standard.
> >
> >Vice President and Deputy General Counsel Cisco Systems, Inc.
> >+1 408-526-6672
> >[email-masked]
> >
> 
> _______________________________________________
> mpls mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls

---

From: "Nobo Akiya (nobo)" <[email-masked]>
Date: Tue, 9 Dec 2014 13:42:55 +0000

Hi Loa, MPLS WG,

I'd like to also add a comment regarding the time gap of the patent filing date and its IPR disclosure to draft-akiya- mpls-lsp-ping-lag-multipath. IPR disclosed below, US Patent No. 7,782,790, was originally filed in 2006. When draft-akiya- mpls-lsp-ping-lag-multipath was posted, it was not immediately clear to us that this IPR was applicable to the draft. Hence the delay.

Thanks!

-Nobo

> From: mpls [mailto:[email-masked]] On Behalf Of Nobo Akiya
> (nobo)
> Sent: Monday, December 08, 2014 5:24 PM
> To: Loa Andersson ([email-masked])
> Cc: [email-masked]
> Subject: Re: [mpls] IPR Poll on draft-akiya-mpls-lsp-ping-lag-multipath
> 
> Hi Loa
> 
> One IPR pointed by George below is the only IPR, that I'm aware of, that is
> applicable to draft-akiya-mpls-lsp-ping-lag-multipath document.
> 
> Thanks!
> 
> -Nobo
> 
> > On 12/8/14 3:18 PM, "Rachel Albright -X (ralbrigh - Independent
> > Contractor at Cisco)" <[email-masked]> wrote:
> >
> > >claims under reasonable, non-discriminatory terms, with reciprocity,
> > >to implement and fully comply with the standard.
> > >
> > >If this standard is adopted, Cisco will not assert any patents owned
> > >or controlled by Cisco against any party for making, using, selling,
> > >importing or offering for sale a product that implements the
> > >standard, provided, however that Cisco retains the right to assert
> > >its patents (including the right to claim past royalties) against any
> > >party that asserts a patent it owns or controls (either directly or
> > >indirectly) against Cisco or any of Cisco's affiliates or successors
> > >in title or against any products of Cisco or any products of any of
> > >Cisco's affiliates either alone or in combination with other
> > >products; and Cisco retains the right to assert its patents against
> > >any product or portion thereof that is not necessary for compliance with
> the standard.
> > >